#include <bits/stdc++.h>

typedef long long ll;

using namespace std;

int main(){
    ios::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    ll n;
    cin>>n;
    string s;
    cin>>s;
    if(n<27){
        cout<<"0\n";
        return 0;
    }
    for(int i=1;i<n;i++){
        if(s[i]==s[i-1]){
            cout<<"2\n";
            return 0;
        }
    }
    cout<<"1\n";
    return 0;
}